package net.wanji.utc.service.systemadmin.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import net.wanji.utc.mapper.ManufacturerInfoMapper;
import net.wanji.utc.po.ManufacturerInfoPO;
import net.wanji.utc.service.systemadmin.ManufacturerService;
import net.wanji.utc.vo.systemadmin.DeleteByIntegerIdListInVO;
import net.wanji.utc.vo.systemadmin.ManufacturerInsertOrUpdateInVO;
import net.wanji.utc.vo.systemadmin.ManufacturerListInVO;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/24 8:50
 */
@Service
public class ManufacturerServiceImpl implements ManufacturerService {
    @Autowired
    ManufacturerInfoMapper manufacturerInfoMapper;

    @Override
    public PageInfo<ManufacturerInfoPO> list(ManufacturerListInVO manufacturerListInVO) {
        Integer pageNum = manufacturerListInVO.getPageNum();
        Integer pageSize = manufacturerListInVO.getPageSize();
        String name = manufacturerListInVO.getName();

        PageHelper.startPage(pageNum, pageSize);
        List<ManufacturerInfoPO> manufacturerInfoPOList = manufacturerInfoMapper.selectByOptionalPartialName(name);
        PageInfo<ManufacturerInfoPO> borrowPOPageInfo = new PageInfo<>(manufacturerInfoPOList);

        return borrowPOPageInfo;
    }

    @Override
    public void insertOrUpdate(ManufacturerInsertOrUpdateInVO inVO) {
        Integer id = inVO.getId();
        ManufacturerInfoPO manufacturerInfoPO = new ManufacturerInfoPO();
        BeanUtils.copyProperties(inVO, manufacturerInfoPO);
        if (id == null || id == 0) {
            // 添加
            manufacturerInfoMapper.insertOne(manufacturerInfoPO);
        } else {
            // 修改
            manufacturerInfoMapper.updateOne(manufacturerInfoPO);
        }
    }

    @Override
    public void delete(DeleteByIntegerIdListInVO inVO) {
        List<Integer> ids = inVO.getIds();
        manufacturerInfoMapper.deleteBatch(ids);
    }
}
