package net.wanji.utc.task;

import net.wanji.utc.service.runninginfo.SignalStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 订阅信号运行状态、告警、灯态
 *
 * @author Kent HAN
 * @date 2022/11/21 9:01
 */
@Component
public class SignalStatusTask {
    @Autowired
    SignalStatusService signalStatusService;

    // 运行状态、告警，5分钟一次
    @Scheduled(fixedRate = 5 * 60 * 1000)
    public void runningStatusAlarm() {
        signalStatusService.runningStatusAlarm();
    }

    // 灯态，5秒一次
    @Scheduled(fixedRate = 5 * 1000)
    public void lightStatus() {
        signalStatusService.lightStatus();
    }
}
