package net.wanji.utc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.utc.common.baseentity.BaseCrossInfo;

/**
 * 相位锁定实体类
 *
 * @author wuxiaokai
 * @date 2022/11/15 15:05:57
 */
@Data
@ApiModel(value = "PhaseLockVO", description = "相位锁定实体类")
public class PhaseLockVO extends BaseCrossInfo {

    /**
     * 相位编号
     */
    @ApiModelProperty(value = "相位编号")
    private String phaseId;

    /**
     * 1 锁定; 0 取消
     */
    @ApiModelProperty(value = "1 锁定;0 取消")
    private Integer command;

    /**
     * 相位锁定时间, 999 永久锁定，必须手动取消。0~999 过了这个这个时间，自动取消锁定。
     */
    @ApiModelProperty(value = "相位锁定时间,999 永久锁定,必须手动取消;0~999,自动取消")
    private Integer lockTime;
}
