package net.wanji.utc.vo.timeplan;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.utc.common.baseentity.BaseCrossInfo;

import java.util.List;

/**
 * @author hfx
 * @version 1.0
 * @Description: [配时方案实体类]
 * Created on 2019/4/22 15:40
 */
@Data
@ApiModel(value = "TimePlanVo", description = "配时方案实体类")
public class TimePlanVO extends BaseCrossInfo {

    //配时方案编号
    @ApiModelProperty(value = "配时方案编号", required = true)
    private String timePlanId;
    //配时方案描述
    @ApiModelProperty(value = "配时方案描述")
    private String timePlanDesc;
    //相位方案编号
    @ApiModelProperty(value = "相位方案编号")
    private String phasePlanId;
    //周期长度
    @ApiModelProperty(value = "周期长度")
    private Integer cycleLen;
    //协调相位编号
    @ApiModelProperty(value = "协调相位编号")
    private String coordPhaseId;
    //相位差
    @ApiModelProperty(value = "相位差")
    private Integer offset;
    //环数量 1 一环 2 两环
    @ApiModelProperty(value = "环数量 1 一环 2 两环")
    private String ringCount;
    //环数据对象列表
    @ApiModelProperty(value = "环数据对象列表")
    private List<Ring> rings;
    //始终固定灯色的灯组（可选）
    @ApiModelProperty(value = "始终固定灯色的灯组（可选）")
    private List<FixedLightGroupVo> fixedLightGroups;
    //是否启用信号机自适应功能（可选，默认为 false）
    @ApiModelProperty(value = "是否启用信号机自适应功能（可选，默认为 false）")
    private Boolean selfAdaptive;
    //操作类型 1:下发 2：恢复 3：下发返回300特殊处理 4：恢复返回300特殊处理
    @ApiModelProperty(value = "操作类型 1:下发 2：恢复 3：下发返回300特殊处理 4：恢复返回300特殊处理")
    private Integer optType;
    //顺序号
    @ApiModelProperty(value = "顺序号")
    private Integer orderId;
}
